> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fluents.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create knowledge base



## OpenAPI

````yaml /openapi.yml post /v1/knowledge_bases
openapi: 3.0.0
info:
  title: Fluents Hosted API
  description: |2-

            Fluents' Hosted API helps you automate phone calls in minutes. 🚀

            ## Numbers

            You can buy phone lines and place agents on them.

            ## Calls

            You can start, end, and get information about calls.
            
  version: 1.0.0
  contact:
    name: Support
    url: https://fluents.com
    email: support@fluents.ai
servers:
  - url: https://api.fluents.ai
    description: Production
security:
  - bearer: []
tags: []
paths:
  /v1/knowledge_bases:
    post:
      tags:
        - Knowledge Bases
      operationId: KnowledgeBaseController_create
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateKnowledgeBaseDto'
      responses:
        '201':
          description: ''
components:
  schemas:
    CreateKnowledgeBaseDto:
      type: object
      properties:
        label:
          type: string
          example: My Knowledge Base
        webhookUrl:
          type: string
          example: https://example.com/webhook
      required:
        - label
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````